# -*- encoding: utf-8 -*-
# stub: pifan 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pifan".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Michal Kimle".freeze]
  s.date = "2021-01-01"
  s.description = "Pifan is a daemon adjusting your fan's strength based on your Raspberry Pi's temperature.".freeze
  s.email = ["kimle.michal@gmail.com".freeze]
  s.executables = ["pifan".freeze]
  s.files = ["bin/pifan".freeze]
  s.homepage = "https://gitlab.com/amarthadan/pifan".freeze
  s.licenses = ["GPL-3.0-only".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Control your Raspberry Pi fan".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.13"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.92"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 6.0"])
    s.add_runtime_dependency(%q<rpi_gpio>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<tty-config>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<tty-logger>.freeze, ["~> 0.5"])
    s.add_runtime_dependency(%q<tty-option>.freeze, ["~> 0.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.13"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.92"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 6.0"])
    s.add_dependency(%q<rpi_gpio>.freeze, ["~> 0.5"])
    s.add_dependency(%q<tty-config>.freeze, ["~> 0.4"])
    s.add_dependency(%q<tty-logger>.freeze, ["~> 0.5"])
    s.add_dependency(%q<tty-option>.freeze, ["~> 0.1"])
  end
end
